## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASEWebServiceTableLoader

    java.lang.Object
      org.eclipse.datatools.enablement.ase.catalog.SybaseASEBaseTableLoader
          org.eclipse.datatools.enablement.ase.catalog.SybaseASEProxyTableLoader
              org.eclipse.datatools.enablement.ase.catalog.SybaseASEWebServiceTableLoader

    public class SybaseASEWebServiceTableLoader

extends SybaseASEProxyTableLoader

Field Summary

Fields inherited from class org.eclipse.datatools.enablement.ase.catalog.SybaseASEBaseTableLoader
`DEFAULT_CONCURRENCY_THRESHOLD, HASH, LIST, RANGE, ROUND_ROBIN`

Constructor Summary
`SybaseASEWebServiceTableLoader(SybaseASEBaseTable masterObj)`

Method Summary
`java.lang.String` `getMethod()`
`java.lang.String` `getWSDLURI()`

Methods inherited from class org.eclipse.datatools.enablement.ase.catalog.SybaseASEProxyTableLoader
`getExternalPath, getExternalType, getFileDelimiter, isExisting`

Methods inherited from class org.eclipse.datatools.enablement.ase.catalog.SybaseASEBaseTableLoader

`getCatalogDatabase, getColumns, getConcurrencyOptThreshold, getConnection, getConstraints, getExpRowSize, getFillFactor, getIdentityGap, getIndex, getLockPromotion, getLockSchema, getMaxRowPerPage, getPartitionCondition, getPartitions, getPrivileges, getReservePageGap, getSegment, getStatus, getTableId, getTableOnlyCacheInfo, getTextImageSegment, getTextOnlyCacheInfo, getTriggers, isNeedRefresh, refresh`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASEWebServiceTableLoader

    public SybaseASEWebServiceTableLoader(SybaseASEBaseTable masterObj)

Method Detail

### getMethod

    public java.lang.String getMethod()

### getWSDLURI

    public java.lang.String getWSDLURI()